%define srcname lcdf-typetools
%define srcver 2.108
%define tl_version 2019
%define shortname texlive
%define source_date 20190127
%define epoch_fc 7

# macros from the texlive-base package
%{!?_texdir: %global _texdir %{_datadir}/%{shortname}}
%{!?_texmf_var: %global _texmf_var %{_var}/lib/texmf}

%global etc_fmtutil_cnf %{_sysconfdir}/texlive/web2c/fmtutil.cnf
%global usr_fmtutil_cnf %{_texdir}/texmf-dist/web2c/fmtutil.cnf
%global fmtutil_cnf_d %{_texdir}/fmtutil.cnf.d

# don't export private perl modules
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((LatexIndent.*|PDF::Reuse.*|Pedigree.*|TeXLive.*|Tk::path_tre)\\)

# We do not want exec perms changing.
%global __brp_mangle_shebangs_exclude ^$

Name:           texlive-lcdftypetools
Epoch:          8
#Version:        %{source_date}
Version:        %{srcver}
Release:        1%{?dist}
Group:          Applications/Publishing
#Group:          Utilities/Printing
License:        GPL
Vendor:         Little Cambridgeport Design Factory <http://www.lcdf.org/>
#URL:            http://tug.org/texlive/
URL:            https://www.lcdf.org/type/
#Summary:        A bundle of outline font manipulation tools
Summary:        Programs to manipulate OpenType and multiple-master fonts

Source:         https://www.lcdf.org/type/%{srcname}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc gcc-c++
BuildRequires:  intltool

BuildRequires:  texlive-kpathsea-lib-devel

Requires:       texlive-tetex
Requires:       texlive-base
Requires:       texlive-kpathsea-bin
Requires:       tex-kpathsea
Requires:       tex-glyphlist

Obsoletes:      texlive-lcdftypetools-bin <= 7:20170520

#Provides:       tex-lcdftypetools = %{tl_version}
Provides:       tex-lcdftypetools = %{epoch_fc}:%{source_date}-%{release}
# This is a mistake in the texlive package. Will be fixed in next major TL update.
Provides:       lcdf-typetools = %{epoch_fc}:%{source_date}-%{release}
Provides:       texlive-lcdftypetools-bin = %{epoch_fc}:%{source_date}-%{release}
Provides:       tex-lcdftypetools-bin = %{epoch_fc}:%{source_date}-%{release}


%description
This package contains four tools for working with OpenType fonts:

 cfftot1    allows you to translate Compact Font Format (CFF) or
            PostScript-flavored OpenType fonts into PostScript
            Type 1 font format

 otfinfo    reports information about OpenType fonts, such as the
            features they support and the contents of their ``size''
            optical size option

 otftotfm   allows you to create TeX font metrics and encodings for
            using OpenType fonts

 t1dotlessj creates a Type 1 font with a single character --
            the dotless j corresponding to the specified design

 t1lint     checks a Type 1 font for correctness (preliminary)

 t1reencode reencodes a Type 1 font, replacing its internal encoding with
            one you specify

 t1testpage creates a PostScript test page for a specified
            font file (preliminary)

 ttftotype42 creates a Type 42 wrapper for a TrueType or TrueType-flavored 
            OpenType font.

The package now includes programs for working with multiple-master
fonts formerly distributed as mminstance.  These tools allow you to
use multiple-master fonts with programs that require single-master
fonts (afm2tfm, ps2pk, fontinst, etc.).  Both programs work fine with
fonts that contain intermediate masters (e.g., Adobe Jenson MM and
Adobe Kepler MM).

mmafm        creates an AFM (Adobe font metric) file corresponding to
             a single instance of a multiple-master font.  It reads
             (and therefore requires) the AMFM and AFM files
             distributed with the font.

mmpfb        creates a normal, single-master font program that looks
             like an instance of a multiple-master font.  It reads
             the multiple-master font program in PFA or PFB format.


%prep 
%autosetup -p1 -n "%{srcname}-%{srcver}"


%build
autoreconf -vfi

%configure

%{make_build}


%install
%{make_install} INSTALL_ROOT="%{buildroot}"


%files  
%doc NEWS* ONEWS* README*
%license COPYING
%{_bindir}/cfftot1
%{_bindir}/mmafm
%{_bindir}/mmpfb
%{_bindir}/otfinfo
%{_bindir}/otftotfm
%{_bindir}/t1dotlessj
%{_bindir}/t1lint
%{_bindir}/t1rawafm
%{_bindir}/t1reencode
%{_bindir}/t1testpage
%{_bindir}/ttftotype42
%{_mandir}/man1/cfftot1.1*
%{_mandir}/man1/mmafm.1*
%{_mandir}/man1/mmpfb.1*
%{_mandir}/man1/otfinfo.1*
%{_mandir}/man1/otftotfm.1*
%{_mandir}/man1/t1dotlessj.1*
%{_mandir}/man1/t1lint.1*
%{_mandir}/man1/t1rawafm.1*
%{_mandir}/man1/t1reencode.1*
%{_mandir}/man1/t1testpage.1*
%{_mandir}/man1/ttftotype42.1*
%{_datadir}/lcdf-typetools/*


%changelog
* Wed Sep 25 2019 Tomasz Tomasik <scx.mail@gmail.com> - 8:2.108-1
- Initial packaging


